#!/bin/sh -f
#file name: [/usr/bin/toec_addprinter.sh ]
#
# pv - preview a specified page of a dvi file in a Ghostscript window
# usage: pv page file
#
# pv converts the given page to PostScript and displays it
# in a Ghostscript window.
#
#  echo usage: $0 'page_number file_name[.dvi]'

device_name="MP3100CDN"
printer_name=`echo $printer_model | tr '[a-z]' '[A-Z]'`
#ppd_file_name=/usr/share/cups/model/Brother/brother_${printer_model}_printer_en.ppd
ppd_file_name="MP3100CDN.ppd"

uris=$(lpinfo -v)

for uri in $uris
do
        URI=$(echo $uri | grep ${device_name} | grep usb)
        if [ "$URI" != '' ];then
                break;
        fi
done

if [ "$URI" = '' ];then
        for uri in $uris
        do
                URI=$(echo $uri | grep ${device_name} )
                if [ "$URI" != '' ];then
                        break;
                fi
        done
fi

if [ "$URI" = '' ];then
        for uri in $uris
        do
                URI=$(echo $uri | grep -i TOEC | grep usb )
                if [ "$URI" != '' ];then
                        break;
                fi
        done
fi

if [ "$URI" = '' ];then
        for uri in $uris
        do
                URI=$(echo $uri | grep usb )
                if [ "$URI" != '' ];then
                        break;
                fi
        done
fi


if [ "$URI" = '' ];then
        #URI="usb:/dev/usb/lp0"
        USB_NAME=`/usr/lib/cups/backend/usb |grep direct |grep MP3100CDN? |awk -F" " '{print $2}'`
        USB_NAME1=`/usr/lib/cups/backend/usb |grep direct |grep MP3100CDN |awk -F" " '{print $2}'`

        if [ -z "$USB_NAME" ];then
                if [ -z "$USB_NAME1" ];then
                        USB_NAME="usb://dev/usb/lp0"
                        echo "There is on MP3100CDN plugin"
                elif [ -n "$USB_NAME1" ];then
                        echo $USB_NAME1
                        /usr/sbin/lpadmin -p MP3100CDN -m MP3100CDN.ppd -v $USB_NAME1 -E
                        /usr/sbin/lpadmin -d MP3100CDN
                fi
        elif [ -n "$USB_NAME" ];then
                if [ -z "$USB_NAME1" ];then
                        echo $USB_NAME
                        /usr/sbin/lpadmin -p MP3100CDN -m MP3100CDN.ppd -v $USB_NAME -E
                        /usr/sbin/lpadmin -d MP3100CDN
                elif [ -n "$USB_NAME1" ];then
                        echo $USB_NAME
                        /usr/sbin/lpadmin -p MP3100CDN -m MP3100CDN.ppd -v $USB_NAME -E
                        /usr/sbin/lpadmin -d MP3100CDN
                fi
        fi

else
        /usr/sbin/lpadmin -p MP3100CDN -E -v $URI -m $ppd_file_name
        /usr/sbin/lpadmin -d MP3100CDN
fi





#/usr/sbin/lpadmin -d TOEC--Printer
#lpadmin -p TOEC-OEP2110 -E -v $URI -P $ppd_file_name

#service cups restart

#exit 0
